/* HotspotDialog.c generated by valac 0.37.91, the Vala compiler
 * generated from HotspotDialog.vala, do not modify */

/*-
 * Copyright (c) 2015-2016 elementary LLC.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Adam Bieńkowski <donadigos159@gmail.com>
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <stdlib.h>
#include <string.h>
#include <nm-connection.h>
#include <nm-access-point.h>
#include <nm-utils.h>
#include <glib/gi18n-lib.h>
#include <nm-setting-wireless.h>
#include <nm-setting-wireless-security.h>
#include <nm-remote-connection.h>


#define NETWORK_WIDGETS_TYPE_HOTSPOT_DIALOG (network_widgets_hotspot_dialog_get_type ())
#define NETWORK_WIDGETS_HOTSPOT_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NETWORK_WIDGETS_TYPE_HOTSPOT_DIALOG, NetworkWidgetsHotspotDialog))
#define NETWORK_WIDGETS_HOTSPOT_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NETWORK_WIDGETS_TYPE_HOTSPOT_DIALOG, NetworkWidgetsHotspotDialogClass))
#define NETWORK_WIDGETS_IS_HOTSPOT_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NETWORK_WIDGETS_TYPE_HOTSPOT_DIALOG))
#define NETWORK_WIDGETS_IS_HOTSPOT_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NETWORK_WIDGETS_TYPE_HOTSPOT_DIALOG))
#define NETWORK_WIDGETS_HOTSPOT_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NETWORK_WIDGETS_TYPE_HOTSPOT_DIALOG, NetworkWidgetsHotspotDialogClass))

typedef struct _NetworkWidgetsHotspotDialog NetworkWidgetsHotspotDialog;
typedef struct _NetworkWidgetsHotspotDialogClass NetworkWidgetsHotspotDialogClass;
typedef struct _NetworkWidgetsHotspotDialogPrivate NetworkWidgetsHotspotDialogPrivate;
enum  {
	NETWORK_WIDGETS_HOTSPOT_DIALOG_DUMMY_PROPERTY,
	NETWORK_WIDGETS_HOTSPOT_DIALOG_LAST_PROPERTY
};
static GParamSpec* network_widgets_hotspot_dialog_properties[NETWORK_WIDGETS_HOTSPOT_DIALOG_LAST_PROPERTY];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_hash_table_unref0(var) ((var == NULL) ? NULL : (var = (g_hash_table_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_byte_array_unref0(var) ((var == NULL) ? NULL : (var = (g_byte_array_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))

struct _NetworkWidgetsHotspotDialog {
	GtkDialog parent_instance;
	NetworkWidgetsHotspotDialogPrivate * priv;
};

struct _NetworkWidgetsHotspotDialogClass {
	GtkDialogClass parent_class;
};

struct _NetworkWidgetsHotspotDialogPrivate {
	GtkEntry* ssid_entry;
	GtkEntry* key_entry;
	GtkLabel* ssid_label;
	GtkLabel* key_label;
	GtkComboBoxText* conn_combo;
	GtkCheckButton* check_btn;
	GtkLabel* dumb;
	GtkButton* create_btn;
	GHashTable* conn_hash;
	GList* available;
};

typedef void (*NetworkUtilsHotspotUpdateSecretCallback) (void* user_data);

static gpointer network_widgets_hotspot_dialog_parent_class = NULL;

GType network_widgets_hotspot_dialog_get_type (void) G_GNUC_CONST;
#define NETWORK_WIDGETS_HOTSPOT_DIALOG_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NETWORK_WIDGETS_TYPE_HOTSPOT_DIALOG, NetworkWidgetsHotspotDialogPrivate))
#define NETWORK_WIDGETS_HOTSPOT_DIALOG_NEW_ID "0"
NetworkWidgetsHotspotDialog* network_widgets_hotspot_dialog_new (NMAccessPoint* active, GList* _available);
NetworkWidgetsHotspotDialog* network_widgets_hotspot_dialog_construct (GType object_type, NMAccessPoint* active, GList* _available);
static void _g_free0_ (gpointer var);
static void _g_object_unref0_ (gpointer var);
static gchar* network_widgets_hotspot_dialog_get_ssid_for_hotspot (NetworkWidgetsHotspotDialog* self);
static void __lambda23_ (NetworkWidgetsHotspotDialog* self);
static void ___lambda23__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self);
static void network_widgets_hotspot_dialog_update (NetworkWidgetsHotspotDialog* self);
static void _network_widgets_hotspot_dialog_update_gtk_editable_changed (GtkEditable* _sender, gpointer self);
static void _network_widgets_hotspot_dialog_update_gtk_combo_box_changed (GtkComboBox* _sender, gpointer self);
GByteArray* network_widgets_hotspot_dialog_get_ssid (NetworkWidgetsHotspotDialog* self);
gchar* network_widgets_hotspot_dialog_get_key (NetworkWidgetsHotspotDialog* self);
NMConnection* network_widgets_hotspot_dialog_get_selected_connection (NetworkWidgetsHotspotDialog* self);
void network_utils_hotspot_update_secrets (NMRemoteConnection* connection, NetworkUtilsHotspotUpdateSecretCallback callback, void* callback_target);
static void _network_widgets_hotspot_dialog_update_network_utils_hotspot_update_secret_callback (gpointer self);
static void network_widgets_hotspot_dialog_finalize (GObject * obj);


static void _g_free0_ (gpointer var) {
#line 45 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	var = (g_free (var), NULL);
#line 110 "HotspotDialog.c"
}


static void _g_object_unref0_ (gpointer var) {
#line 45 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	(var == NULL) ? NULL : (var = (g_object_unref (var), NULL));
#line 117 "HotspotDialog.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 47 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	return self ? g_object_ref (self) : NULL;
#line 124 "HotspotDialog.c"
}


static void __lambda23_ (NetworkWidgetsHotspotDialog* self) {
	GtkEntry* _tmp0_;
	GtkCheckButton* _tmp1_;
	gboolean _tmp2_;
	gboolean _tmp3_;
#line 93 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp0_ = self->priv->key_entry;
#line 93 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp1_ = self->priv->check_btn;
#line 93 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp2_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp1_);
#line 93 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp3_ = _tmp2_;
#line 93 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_entry_set_visibility (_tmp0_, _tmp3_);
#line 143 "HotspotDialog.c"
}


static void ___lambda23__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self) {
#line 92 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	__lambda23_ ((NetworkWidgetsHotspotDialog*) self);
#line 150 "HotspotDialog.c"
}


static void _network_widgets_hotspot_dialog_update_gtk_editable_changed (GtkEditable* _sender, gpointer self) {
#line 96 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	network_widgets_hotspot_dialog_update ((NetworkWidgetsHotspotDialog*) self);
#line 157 "HotspotDialog.c"
}


static void _network_widgets_hotspot_dialog_update_gtk_combo_box_changed (GtkComboBox* _sender, gpointer self) {
#line 116 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	network_widgets_hotspot_dialog_update ((NetworkWidgetsHotspotDialog*) self);
#line 164 "HotspotDialog.c"
}


NetworkWidgetsHotspotDialog* network_widgets_hotspot_dialog_construct (GType object_type, NMAccessPoint* active, GList* _available) {
	NetworkWidgetsHotspotDialog * self = NULL;
	GList* _tmp0_;
	GHashFunc _tmp1_;
	GEqualFunc _tmp2_;
	GHashTable* _tmp3_;
	GtkBox* content_area = NULL;
	GtkBox* _tmp4_;
	GtkBox* _tmp5_;
	GtkBox* _tmp6_;
	GtkBox* _tmp7_;
	GtkBox* main_box = NULL;
	GtkBox* _tmp8_;
	GtkBox* vbox = NULL;
	GtkBox* _tmp9_;
	GtkBox* _tmp10_;
	GtkBox* _tmp11_;
	gchar* ssid_str = NULL;
	NMAccessPoint* _tmp12_;
	GtkLabel* title = NULL;
	gchar* _tmp17_;
	gchar* _tmp18_;
	gchar* _tmp19_;
	gchar* _tmp20_;
	GtkLabel* _tmp21_;
	GtkLabel* _tmp22_;
	GtkLabel* _tmp23_;
	GtkLabel* _tmp24_;
	GtkImage* image = NULL;
	GtkImage* _tmp25_;
	GtkImage* _tmp26_;
	GtkBox* _tmp27_;
	GtkImage* _tmp28_;
	GtkLabel* info_label = NULL;
	const gchar* _tmp29_;
	gchar* _tmp30_;
	gchar* _tmp31_;
	gchar* _tmp32_;
	gchar* _tmp33_;
	gchar* _tmp34_;
	gchar* _tmp35_;
	GtkLabel* _tmp36_;
	GtkLabel* _tmp37_;
	GtkLabel* _tmp38_;
	GtkLabel* _tmp39_;
	GtkLabel* _tmp40_;
	GtkGrid* grid = NULL;
	GtkGrid* _tmp41_;
	GtkGrid* _tmp42_;
	GtkGrid* _tmp43_;
	GtkGrid* _tmp44_;
	GtkGrid* _tmp45_;
	GtkEntry* _tmp46_;
	GtkEntry* _tmp47_;
	GtkEntry* _tmp48_;
	gchar* _tmp49_;
	gchar* _tmp50_;
	GtkEntry* _tmp51_;
	GtkEntry* _tmp52_;
	GtkEntry* _tmp53_;
	GtkEntry* _tmp54_;
	GtkCheckButton* _tmp55_;
	GtkCheckButton* _tmp56_;
	GtkEntry* _tmp57_;
	GtkEntry* _tmp58_;
	GtkLabel* _tmp59_;
	GtkLabel* _tmp60_;
	GtkLabel* _tmp61_;
	GtkLabel* _tmp62_;
	GtkComboBoxText* _tmp63_;
	GtkComboBoxText* _tmp64_;
	gint i = 0;
	GList* _tmp65_;
	GtkComboBoxText* _tmp84_;
	GtkComboBoxText* _tmp85_;
	GtkLabel* conn_label = NULL;
	GtkLabel* _tmp86_;
	GtkLabel* _tmp87_;
	GtkGrid* _tmp88_;
	GtkLabel* _tmp89_;
	GtkGrid* _tmp90_;
	GtkComboBoxText* _tmp91_;
	GtkLabel* _tmp92_;
	GtkLabel* _tmp93_;
	GtkGrid* _tmp94_;
	GtkLabel* _tmp95_;
	GtkLabel* _tmp96_;
	GtkGrid* _tmp97_;
	GtkEntry* _tmp98_;
	GtkLabel* _tmp99_;
	GtkGrid* _tmp100_;
	GtkLabel* _tmp101_;
	GtkLabel* _tmp102_;
	GtkGrid* _tmp103_;
	GtkEntry* _tmp104_;
	GtkLabel* _tmp105_;
	GtkGrid* _tmp106_;
	GtkLabel* _tmp107_;
	GtkLabel* _tmp108_;
	GtkGrid* _tmp109_;
	GtkCheckButton* _tmp110_;
	GtkLabel* _tmp111_;
	GtkButton* cancel_btn = NULL;
	GtkButton* _tmp112_;
	GtkButton* _tmp113_;
	NMAccessPoint* _tmp114_;
	GtkButton* _tmp116_;
	GtkStyleContext* _tmp117_;
	GtkButton* _tmp118_;
	GtkButton* _tmp119_;
	GtkBox* _tmp120_;
	GtkLabel* _tmp121_;
	GtkBox* _tmp122_;
	GtkLabel* _tmp123_;
	GtkBox* _tmp124_;
	GtkGrid* _tmp125_;
	GtkBox* _tmp126_;
	GtkBox* _tmp127_;
	GtkBox* _tmp128_;
	GtkBox* _tmp129_;
#line 39 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	self = (NetworkWidgetsHotspotDialog*) g_object_new (object_type, NULL);
#line 40 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp0_ = _available;
#line 40 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	self->priv->available = _tmp0_;
#line 41 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_window_set_deletable ((GtkWindow*) self, FALSE);
#line 42 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_window_set_resizable ((GtkWindow*) self, FALSE);
#line 43 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_container_set_border_width ((GtkContainer*) self, (guint) 6);
#line 45 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp1_ = g_str_hash;
#line 45 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp2_ = g_str_equal;
#line 45 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp3_ = g_hash_table_new_full (_tmp1_, _tmp2_, _g_free0_, _g_object_unref0_);
#line 45 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_hash_table_unref0 (self->priv->conn_hash);
#line 45 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	self->priv->conn_hash = _tmp3_;
#line 47 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp4_ = (GtkBox*) gtk_dialog_get_content_area ((GtkDialog*) self);
#line 47 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp5_ = _g_object_ref0 (_tmp4_);
#line 47 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	content_area = _tmp5_;
#line 48 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp6_ = content_area;
#line 48 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp7_ = content_area;
#line 48 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp7_, GTK_ALIGN_CENTER);
#line 48 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp6_, GTK_ALIGN_CENTER);
#line 50 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp8_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_HORIZONTAL, 0);
#line 50 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp8_);
#line 50 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	main_box = _tmp8_;
#line 51 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp9_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_VERTICAL, 6);
#line 51 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp9_);
#line 51 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	vbox = _tmp9_;
#line 53 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp10_ = vbox;
#line 53 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp11_ = vbox;
#line 53 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_margin_right ((GtkWidget*) _tmp11_, 6);
#line 53 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_margin_left ((GtkWidget*) _tmp10_, 6);
#line 55 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	ssid_str = NULL;
#line 56 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp12_ = active;
#line 56 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	if (_tmp12_ != NULL) {
#line 350 "HotspotDialog.c"
		NMAccessPoint* _tmp13_;
		GByteArray* _tmp14_;
		gchar* _tmp15_;
#line 57 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp13_ = active;
#line 57 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp14_ = nm_access_point_get_ssid (_tmp13_);
#line 57 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp15_ = nm_utils_ssid_to_utf8 (_tmp14_);
#line 57 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_g_free0 (ssid_str);
#line 57 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		ssid_str = _tmp15_;
#line 364 "HotspotDialog.c"
	} else {
		gchar* _tmp16_;
#line 59 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp16_ = g_strdup (_ ("current"));
#line 59 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_g_free0 (ssid_str);
#line 59 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		ssid_str = _tmp16_;
#line 373 "HotspotDialog.c"
	}
#line 62 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp17_ = g_strconcat ("<span weight='bold' size='larger'>", _ ("Wireless Hotspot"), NULL);
#line 62 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp18_ = _tmp17_;
#line 62 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp19_ = g_strconcat (_tmp18_, "</span>", NULL);
#line 62 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp20_ = _tmp19_;
#line 62 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp21_ = (GtkLabel*) gtk_label_new (_tmp20_);
#line 62 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp21_);
#line 62 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp22_ = _tmp21_;
#line 62 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_free0 (_tmp20_);
#line 62 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_free0 (_tmp18_);
#line 62 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	title = _tmp22_;
#line 63 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp23_ = title;
#line 63 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_label_set_use_markup (_tmp23_, TRUE);
#line 64 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp24_ = title;
#line 64 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp24_, GTK_ALIGN_START);
#line 66 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp25_ = (GtkImage*) gtk_image_new_from_icon_name ("network-wireless-hotspot", GTK_ICON_SIZE_DIALOG);
#line 66 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp25_);
#line 66 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	image = _tmp25_;
#line 67 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp26_ = image;
#line 67 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp26_, GTK_ALIGN_START);
#line 68 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp27_ = main_box;
#line 68 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp28_ = image;
#line 68 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp27_, (GtkWidget*) _tmp28_);
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp29_ = ssid_str;
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp30_ = g_strdup_printf (_ ("Enabling Wireless Hotspot will disconnect from %s network."), _tmp29_);
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp31_ = _tmp30_;
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp32_ = g_strconcat (_tmp31_, "\n", NULL);
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp33_ = _tmp32_;
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp34_ = g_strconcat (_tmp33_, _ ("You will not be able to connect to a wireless network while Hotspot is" \
" active."), NULL);
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp35_ = _tmp34_;
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp36_ = (GtkLabel*) gtk_label_new (_tmp35_);
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp36_);
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp37_ = _tmp36_;
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_free0 (_tmp35_);
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_free0 (_tmp33_);
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_free0 (_tmp31_);
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	info_label = _tmp37_;
#line 72 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp38_ = info_label;
#line 72 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp38_, GTK_ALIGN_START);
#line 73 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp39_ = info_label;
#line 73 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_margin_top ((GtkWidget*) _tmp39_, 6);
#line 74 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp40_ = info_label;
#line 74 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_label_set_use_markup (_tmp40_, TRUE);
#line 76 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp41_ = (GtkGrid*) gtk_grid_new ();
#line 76 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp41_);
#line 76 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	grid = _tmp41_;
#line 77 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp42_ = grid;
#line 77 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp42_, TRUE);
#line 78 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp43_ = grid;
#line 78 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_grid_set_row_spacing (_tmp43_, 6);
#line 79 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp44_ = grid;
#line 79 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_grid_set_column_spacing (_tmp44_, 12);
#line 80 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp45_ = grid;
#line 80 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_vexpand_set ((GtkWidget*) _tmp45_, TRUE);
#line 82 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp46_ = (GtkEntry*) gtk_entry_new ();
#line 82 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp46_);
#line 82 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->ssid_entry);
#line 82 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	self->priv->ssid_entry = _tmp46_;
#line 83 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp47_ = self->priv->ssid_entry;
#line 83 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp47_, TRUE);
#line 84 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp48_ = self->priv->ssid_entry;
#line 84 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp49_ = network_widgets_hotspot_dialog_get_ssid_for_hotspot (self);
#line 84 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp50_ = _tmp49_;
#line 84 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_entry_set_text (_tmp48_, _tmp50_);
#line 84 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_free0 (_tmp50_);
#line 86 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp51_ = (GtkEntry*) gtk_entry_new ();
#line 86 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp51_);
#line 86 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->key_entry);
#line 86 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	self->priv->key_entry = _tmp51_;
#line 87 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp52_ = self->priv->key_entry;
#line 87 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp52_, TRUE);
#line 88 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp53_ = self->priv->key_entry;
#line 88 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_entry_set_visibility (_tmp53_, FALSE);
#line 89 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp54_ = self->priv->key_entry;
#line 89 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_set (_tmp54_, "secondary-icon-tooltip-text", _ ("Password needs to be at least 8 characters long."), NULL);
#line 91 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp55_ = (GtkCheckButton*) gtk_check_button_new_with_label (_ ("Show Password"));
#line 91 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp55_);
#line 91 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->check_btn);
#line 91 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	self->priv->check_btn = _tmp55_;
#line 92 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp56_ = self->priv->check_btn;
#line 92 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp56_, "toggled", (GCallback) ___lambda23__gtk_toggle_button_toggled, self, 0);
#line 96 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp57_ = self->priv->ssid_entry;
#line 96 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	g_signal_connect_object ((GtkEditable*) _tmp57_, "changed", (GCallback) _network_widgets_hotspot_dialog_update_gtk_editable_changed, self, 0);
#line 97 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp58_ = self->priv->key_entry;
#line 97 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	g_signal_connect_object ((GtkEditable*) _tmp58_, "changed", (GCallback) _network_widgets_hotspot_dialog_update_gtk_editable_changed, self, 0);
#line 99 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp59_ = (GtkLabel*) gtk_label_new (_ ("Network Name:"));
#line 99 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp59_);
#line 99 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->ssid_label);
#line 99 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	self->priv->ssid_label = _tmp59_;
#line 100 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp60_ = self->priv->ssid_label;
#line 100 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp60_, GTK_ALIGN_END);
#line 102 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp61_ = (GtkLabel*) gtk_label_new (_ ("Password:"));
#line 102 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp61_);
#line 102 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->key_label);
#line 102 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	self->priv->key_label = _tmp61_;
#line 103 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp62_ = self->priv->key_label;
#line 103 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp62_, GTK_ALIGN_END);
#line 105 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp63_ = (GtkComboBoxText*) gtk_combo_box_text_new ();
#line 105 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp63_);
#line 105 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->conn_combo);
#line 105 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	self->priv->conn_combo = _tmp63_;
#line 106 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp64_ = self->priv->conn_combo;
#line 106 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_combo_box_text_append (_tmp64_, NETWORK_WIDGETS_HOTSPOT_DIALOG_NEW_ID, _ ("New…"));
#line 107 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	i = 1;
#line 108 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp65_ = self->priv->available;
#line 583 "HotspotDialog.c"
	{
		GList* connection_collection = NULL;
		GList* connection_it = NULL;
#line 108 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		connection_collection = _tmp65_;
#line 108 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		for (connection_it = connection_collection; connection_it != NULL; connection_it = connection_it->next) {
#line 591 "HotspotDialog.c"
			NMConnection* _tmp66_;
			NMConnection* connection = NULL;
#line 108 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
			_tmp66_ = _g_object_ref0 ((NMConnection*) connection_it->data);
#line 108 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
			connection = _tmp66_;
#line 598 "HotspotDialog.c"
			{
				NMSettingWireless* setting_wireless = NULL;
				NMConnection* _tmp67_;
				NMSettingWireless* _tmp68_;
				NMSettingWireless* _tmp69_;
				GtkComboBoxText* _tmp70_;
				gint _tmp71_;
				gchar* _tmp72_;
				gchar* _tmp73_;
				NMSettingWireless* _tmp74_;
				GByteArray* _tmp75_;
				gchar* _tmp76_;
				gchar* _tmp77_;
				GHashTable* _tmp78_;
				gint _tmp79_;
				gchar* _tmp80_;
				NMConnection* _tmp81_;
				NMConnection* _tmp82_;
				gint _tmp83_;
#line 109 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp67_ = connection;
#line 109 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp68_ = nm_connection_get_setting_wireless (_tmp67_);
#line 109 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp69_ = _g_object_ref0 (_tmp68_);
#line 109 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
				setting_wireless = _tmp69_;
#line 110 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp70_ = self->priv->conn_combo;
#line 110 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp71_ = i;
#line 110 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp72_ = g_strdup_printf ("%i", _tmp71_);
#line 110 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp73_ = _tmp72_;
#line 110 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp74_ = setting_wireless;
#line 110 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp75_ = nm_setting_wireless_get_ssid (_tmp74_);
#line 110 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp76_ = nm_utils_ssid_to_utf8 (_tmp75_);
#line 110 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp77_ = _tmp76_;
#line 110 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
				gtk_combo_box_text_append (_tmp70_, _tmp73_, _tmp77_);
#line 110 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
				_g_free0 (_tmp77_);
#line 110 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
				_g_free0 (_tmp73_);
#line 111 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp78_ = self->priv->conn_hash;
#line 111 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp79_ = i;
#line 111 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp80_ = g_strdup_printf ("%i", _tmp79_);
#line 111 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp81_ = connection;
#line 111 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp82_ = _g_object_ref0 (_tmp81_);
#line 111 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
				g_hash_table_insert (_tmp78_, _tmp80_, _tmp82_);
#line 112 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp83_ = i;
#line 112 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
				i = _tmp83_ + 1;
#line 108 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
				_g_object_unref0 (setting_wireless);
#line 108 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
				_g_object_unref0 (connection);
#line 668 "HotspotDialog.c"
			}
		}
	}
#line 115 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp84_ = self->priv->conn_combo;
#line 115 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_combo_box_set_active_id ((GtkComboBox*) _tmp84_, NETWORK_WIDGETS_HOTSPOT_DIALOG_NEW_ID);
#line 116 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp85_ = self->priv->conn_combo;
#line 116 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	g_signal_connect_object ((GtkComboBox*) _tmp85_, "changed", (GCallback) _network_widgets_hotspot_dialog_update_gtk_combo_box_changed, self, 0);
#line 118 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp86_ = (GtkLabel*) gtk_label_new (_ ("Connection:"));
#line 118 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp86_);
#line 118 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	conn_label = _tmp86_;
#line 119 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp87_ = conn_label;
#line 119 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp87_, GTK_ALIGN_END);
#line 121 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp88_ = grid;
#line 121 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp89_ = conn_label;
#line 121 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_grid_attach (_tmp88_, (GtkWidget*) _tmp89_, 0, 0, 1, 1);
#line 122 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp90_ = grid;
#line 122 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp91_ = self->priv->conn_combo;
#line 122 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp92_ = conn_label;
#line 122 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_grid_attach_next_to (_tmp90_, (GtkWidget*) _tmp91_, (GtkWidget*) _tmp92_, GTK_POS_RIGHT, 1, 1);
#line 124 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp93_ = (GtkLabel*) gtk_label_new ("");
#line 124 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp93_);
#line 124 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->dumb);
#line 124 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	self->priv->dumb = _tmp93_;
#line 126 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp94_ = grid;
#line 126 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp95_ = self->priv->ssid_label;
#line 126 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp96_ = conn_label;
#line 126 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_grid_attach_next_to (_tmp94_, (GtkWidget*) _tmp95_, (GtkWidget*) _tmp96_, GTK_POS_BOTTOM, 1, 1);
#line 127 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp97_ = grid;
#line 127 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp98_ = self->priv->ssid_entry;
#line 127 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp99_ = self->priv->ssid_label;
#line 127 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_grid_attach_next_to (_tmp97_, (GtkWidget*) _tmp98_, (GtkWidget*) _tmp99_, GTK_POS_RIGHT, 1, 1);
#line 128 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp100_ = grid;
#line 128 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp101_ = self->priv->key_label;
#line 128 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp102_ = self->priv->ssid_label;
#line 128 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_grid_attach_next_to (_tmp100_, (GtkWidget*) _tmp101_, (GtkWidget*) _tmp102_, GTK_POS_BOTTOM, 1, 1);
#line 129 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp103_ = grid;
#line 129 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp104_ = self->priv->key_entry;
#line 129 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp105_ = self->priv->key_label;
#line 129 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_grid_attach_next_to (_tmp103_, (GtkWidget*) _tmp104_, (GtkWidget*) _tmp105_, GTK_POS_RIGHT, 1, 1);
#line 130 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp106_ = grid;
#line 130 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp107_ = self->priv->dumb;
#line 130 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp108_ = self->priv->key_label;
#line 130 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_grid_attach_next_to (_tmp106_, (GtkWidget*) _tmp107_, (GtkWidget*) _tmp108_, GTK_POS_BOTTOM, 1, 1);
#line 131 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp109_ = grid;
#line 131 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp110_ = self->priv->check_btn;
#line 131 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp111_ = self->priv->dumb;
#line 131 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_grid_attach_next_to (_tmp109_, (GtkWidget*) _tmp110_, (GtkWidget*) _tmp111_, GTK_POS_RIGHT, 1, 1);
#line 133 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp112_ = (GtkButton*) gtk_button_new_with_label (_ ("Cancel"));
#line 133 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp112_);
#line 133 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	cancel_btn = _tmp112_;
#line 134 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp113_ = (GtkButton*) gtk_button_new_with_label (_ ("Enable Hotspot"));
#line 134 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp113_);
#line 134 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->create_btn);
#line 134 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	self->priv->create_btn = _tmp113_;
#line 135 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp114_ = active;
#line 135 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	if (_tmp114_ != NULL) {
#line 778 "HotspotDialog.c"
		GtkButton* _tmp115_;
#line 136 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp115_ = self->priv->create_btn;
#line 136 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		gtk_button_set_label (_tmp115_, _ ("Switch to Hotspot"));
#line 784 "HotspotDialog.c"
	}
#line 139 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp116_ = self->priv->create_btn;
#line 139 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp117_ = gtk_widget_get_style_context ((GtkWidget*) _tmp116_);
#line 139 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_style_context_add_class (_tmp117_, "suggested-action");
#line 141 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp118_ = cancel_btn;
#line 141 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_dialog_add_action_widget ((GtkDialog*) self, (GtkWidget*) _tmp118_, 0);
#line 142 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp119_ = self->priv->create_btn;
#line 142 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_dialog_add_action_widget ((GtkDialog*) self, (GtkWidget*) _tmp119_, 1);
#line 144 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp120_ = vbox;
#line 144 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp121_ = title;
#line 144 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp120_, (GtkWidget*) _tmp121_);
#line 145 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp122_ = vbox;
#line 145 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp123_ = info_label;
#line 145 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp122_, (GtkWidget*) _tmp123_);
#line 146 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp124_ = vbox;
#line 146 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp125_ = grid;
#line 146 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp124_, (GtkWidget*) _tmp125_);
#line 148 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	network_widgets_hotspot_dialog_update (self);
#line 150 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp126_ = main_box;
#line 150 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp127_ = vbox;
#line 150 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp126_, (GtkWidget*) _tmp127_);
#line 151 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp128_ = content_area;
#line 151 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp129_ = main_box;
#line 151 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp128_, (GtkWidget*) _tmp129_);
#line 152 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_show_all ((GtkWidget*) self);
#line 39 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (cancel_btn);
#line 39 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (conn_label);
#line 39 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (grid);
#line 39 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (info_label);
#line 39 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (image);
#line 39 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (title);
#line 39 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_free0 (ssid_str);
#line 39 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (vbox);
#line 39 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (main_box);
#line 39 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (content_area);
#line 39 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	return self;
#line 856 "HotspotDialog.c"
}


NetworkWidgetsHotspotDialog* network_widgets_hotspot_dialog_new (NMAccessPoint* active, GList* _available) {
#line 39 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	return network_widgets_hotspot_dialog_construct (NETWORK_WIDGETS_TYPE_HOTSPOT_DIALOG, active, _available);
#line 863 "HotspotDialog.c"
}


static guint8* string_get_data (const gchar* self, int* result_length1) {
	guint8* result;
	guint8* res = NULL;
	gint res_length1;
	gint _res_size_;
	gint _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
	guint8* _tmp3_;
	gint _tmp3__length1;
	guint8* _tmp4_;
	gint _tmp4__length1;
#line 1436 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1437 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	res = (guint8*) self;
#line 1437 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	res_length1 = -1;
#line 1437 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_res_size_ = res_length1;
#line 1438 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_tmp0_ = strlen (self);
#line 1438 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_tmp1_ = _tmp0_;
#line 1438 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	res_length1 = (gint) _tmp1_;
#line 1438 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_tmp2_ = res_length1;
#line 1439 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_tmp3_ = res;
#line 1439 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_tmp3__length1 = res_length1;
#line 1439 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_tmp4_ = _tmp3_;
#line 1439 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_tmp4__length1 = _tmp3__length1;
#line 1439 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	if (result_length1) {
#line 1439 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		*result_length1 = _tmp4__length1;
#line 907 "HotspotDialog.c"
	}
#line 1439 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	result = _tmp4_;
#line 1439 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	return result;
#line 913 "HotspotDialog.c"
}


GByteArray* network_widgets_hotspot_dialog_get_ssid (NetworkWidgetsHotspotDialog* self) {
	GByteArray* result = NULL;
	GByteArray* byte_array = NULL;
	GByteArray* _tmp0_;
	GtkEntry* _tmp1_;
	const gchar* _tmp2_;
	guint8* _tmp3_;
	gint _tmp3__length1;
	guint8* _tmp4_;
	gint _tmp4__length1;
#line 155 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 156 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp0_ = g_byte_array_new ();
#line 156 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	byte_array = _tmp0_;
#line 157 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp1_ = self->priv->ssid_entry;
#line 157 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp2_ = gtk_entry_get_text (_tmp1_);
#line 157 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp3_ = string_get_data (_tmp2_, &_tmp3__length1);
#line 157 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp4_ = _tmp3_;
#line 157 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp4__length1 = _tmp3__length1;
#line 157 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	g_byte_array_append (byte_array, _tmp4_, _tmp4__length1);
#line 158 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	result = byte_array;
#line 158 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	return result;
#line 949 "HotspotDialog.c"
}


gchar* network_widgets_hotspot_dialog_get_key (NetworkWidgetsHotspotDialog* self) {
	gchar* result = NULL;
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
	gchar* _tmp2_;
#line 161 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 162 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp0_ = self->priv->key_entry;
#line 162 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp1_ = gtk_entry_get_text (_tmp0_);
#line 162 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp2_ = g_strdup (_tmp1_);
#line 162 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	result = _tmp2_;
#line 162 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	return result;
#line 970 "HotspotDialog.c"
}


NMConnection* network_widgets_hotspot_dialog_get_selected_connection (NetworkWidgetsHotspotDialog* self) {
	NMConnection* result = NULL;
	GHashTable* _tmp0_;
	GtkComboBoxText* _tmp1_;
	const gchar* _tmp2_;
	gconstpointer _tmp3_;
	NMConnection* _tmp4_;
#line 165 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp0_ = self->priv->conn_hash;
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp1_ = self->priv->conn_combo;
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp2_ = gtk_combo_box_get_active_id ((GtkComboBox*) _tmp1_);
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp3_ = g_hash_table_lookup (_tmp0_, _tmp2_);
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp4_ = _g_object_ref0 ((NMConnection*) _tmp3_);
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	result = _tmp4_;
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	return result;
#line 997 "HotspotDialog.c"
}


static gchar* string_strip (const gchar* self) {
	gchar* result = NULL;
	gchar* _result_ = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
#line 1242 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1243 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1243 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1244 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1244 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	g_strstrip (_tmp1_);
#line 1245 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	result = _result_;
#line 1245 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	return result;
#line 1020 "HotspotDialog.c"
}


static gchar* string_replace (const gchar* self, const gchar* old, const gchar* replacement) {
	gchar* result = NULL;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	GError * _inner_error_ = NULL;
#line 1415 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1415 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1415 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 1416 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	if ((*((gchar*) self)) == '\0') {
#line 1416 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp1_ = TRUE;
#line 1039 "HotspotDialog.c"
	} else {
		const gchar* _tmp2_;
#line 1416 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp2_ = old;
#line 1416 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp1_ = (*((gchar*) _tmp2_)) == '\0';
#line 1046 "HotspotDialog.c"
	}
#line 1416 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	if (_tmp1_) {
#line 1416 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp0_ = TRUE;
#line 1052 "HotspotDialog.c"
	} else {
		const gchar* _tmp3_;
		const gchar* _tmp4_;
#line 1416 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp3_ = old;
#line 1416 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp4_ = replacement;
#line 1416 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp0_ = g_strcmp0 (_tmp3_, _tmp4_) == 0;
#line 1062 "HotspotDialog.c"
	}
#line 1416 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	if (_tmp0_) {
#line 1066 "HotspotDialog.c"
		gchar* _tmp5_;
#line 1417 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp5_ = g_strdup (self);
#line 1417 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		result = _tmp5_;
#line 1417 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		return result;
#line 1074 "HotspotDialog.c"
	}
	{
		GRegex* regex = NULL;
		const gchar* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
		GRegex* _tmp9_;
		GRegex* _tmp10_;
		gchar* _tmp11_ = NULL;
		GRegex* _tmp12_;
		const gchar* _tmp13_;
		gchar* _tmp14_;
		gchar* _tmp15_;
#line 1420 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp6_ = old;
#line 1420 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp7_ = g_regex_escape_string (_tmp6_, -1);
#line 1420 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp8_ = _tmp7_;
#line 1420 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp9_ = g_regex_new (_tmp8_, 0, 0, &_inner_error_);
#line 1420 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp10_ = _tmp9_;
#line 1420 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_g_free0 (_tmp8_);
#line 1420 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		regex = _tmp10_;
#line 1420 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1420 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 1106 "HotspotDialog.c"
				goto __catch4_g_regex_error;
			}
#line 1420 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1420 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1420 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
			return NULL;
#line 1115 "HotspotDialog.c"
		}
#line 1421 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp12_ = regex;
#line 1421 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp13_ = replacement;
#line 1421 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp14_ = g_regex_replace_literal (_tmp12_, self, (gssize) -1, 0, _tmp13_, 0, &_inner_error_);
#line 1421 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp11_ = _tmp14_;
#line 1421 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1421 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1421 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 1131 "HotspotDialog.c"
				goto __catch4_g_regex_error;
			}
#line 1421 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1421 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1421 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1421 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
			return NULL;
#line 1142 "HotspotDialog.c"
		}
#line 1421 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp15_ = _tmp11_;
#line 1421 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp11_ = NULL;
#line 1421 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		result = _tmp15_;
#line 1421 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_g_free0 (_tmp11_);
#line 1421 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1421 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		return result;
#line 1156 "HotspotDialog.c"
	}
	goto __finally4;
	__catch4_g_regex_error:
	{
		GError* e = NULL;
#line 1419 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		e = _inner_error_;
#line 1419 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_inner_error_ = NULL;
#line 1423 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		g_assert_not_reached ();
#line 1419 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_g_error_free0 (e);
#line 1170 "HotspotDialog.c"
	}
	__finally4:
#line 1419 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1419 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1419 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		g_clear_error (&_inner_error_);
#line 1419 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		return NULL;
#line 1181 "HotspotDialog.c"
	}
}


static gchar* network_widgets_hotspot_dialog_get_ssid_for_hotspot (NetworkWidgetsHotspotDialog* self) {
	gchar* result = NULL;
	gchar* hostname = NULL;
	gchar* _tmp0_;
	const gchar* _tmp4_;
	gchar* _tmp5_;
	gchar* _tmp6_;
	gchar* _tmp7_;
	gchar* _tmp8_;
	GError * _inner_error_ = NULL;
#line 169 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 170 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp0_ = g_strdup ("");
#line 170 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	hostname = _tmp0_;
#line 1202 "HotspotDialog.c"
	{
		gchar* _tmp1_ = NULL;
#line 172 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		g_spawn_command_line_sync ("hostname", &_tmp1_, NULL, NULL, &_inner_error_);
#line 172 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_g_free0 (hostname);
#line 172 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		hostname = _tmp1_;
#line 172 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 172 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
			if (_inner_error_->domain == G_SPAWN_ERROR) {
#line 1215 "HotspotDialog.c"
				goto __catch3_g_spawn_error;
			}
#line 172 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
			_g_free0 (hostname);
#line 172 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 172 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
			g_clear_error (&_inner_error_);
#line 172 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
			return NULL;
#line 1226 "HotspotDialog.c"
		}
	}
	goto __finally3;
	__catch3_g_spawn_error:
	{
		GError* e = NULL;
		GError* _tmp2_;
		const gchar* _tmp3_;
#line 171 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		e = _inner_error_;
#line 171 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_inner_error_ = NULL;
#line 174 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp2_ = e;
#line 174 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp3_ = _tmp2_->message;
#line 174 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		g_warning ("HotspotDialog.vala:174: %s\n", _tmp3_);
#line 171 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_g_error_free0 (e);
#line 1247 "HotspotDialog.c"
	}
	__finally3:
#line 171 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 171 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_g_free0 (hostname);
#line 171 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 171 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		g_clear_error (&_inner_error_);
#line 171 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		return NULL;
#line 1260 "HotspotDialog.c"
	}
#line 177 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp4_ = hostname;
#line 177 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp5_ = string_strip (_tmp4_);
#line 177 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp6_ = _tmp5_;
#line 177 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp7_ = string_replace (_tmp6_, "\n", "");
#line 177 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp8_ = _tmp7_;
#line 177 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_free0 (_tmp6_);
#line 177 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	result = _tmp8_;
#line 177 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_free0 (hostname);
#line 177 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	return result;
#line 1280 "HotspotDialog.c"
}


static void _network_widgets_hotspot_dialog_update_network_utils_hotspot_update_secret_callback (gpointer self) {
#line 205 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	network_widgets_hotspot_dialog_update ((NetworkWidgetsHotspotDialog*) self);
#line 1287 "HotspotDialog.c"
}


static gchar* string_to_utf8 (const gchar* self, int* result_length1) {
	gchar* result = NULL;
	gchar* _result_ = NULL;
	gint _tmp0_;
	gint _tmp1_;
	gchar* _tmp2_;
	gint _result__length1;
	gint __result__size_;
	gint _tmp3_;
	gchar* _tmp4_;
	gint _tmp4__length1;
	gint _tmp5_;
	gint _tmp6_;
	gchar* _tmp7_;
	gint _tmp7__length1;
#line 1443 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1444 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_tmp0_ = strlen (self);
#line 1444 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_tmp1_ = _tmp0_;
#line 1444 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_tmp2_ = g_new0 (gchar, _tmp1_ + 1);
#line 1444 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_result_ = _tmp2_;
#line 1444 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_result__length1 = _tmp1_ + 1;
#line 1444 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	__result__size_ = _result__length1;
#line 1445 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_tmp3_ = _result__length1;
#line 1445 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_result__length1 = _tmp3_ - 1;
#line 1446 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_tmp4_ = _result_;
#line 1446 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_tmp4__length1 = _result__length1;
#line 1446 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_tmp5_ = strlen (self);
#line 1446 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_tmp6_ = _tmp5_;
#line 1446 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	memcpy (_tmp4_, self, (gsize) _tmp6_);
#line 1447 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_tmp7_ = _result_;
#line 1447 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_tmp7__length1 = _result__length1;
#line 1447 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	if (result_length1) {
#line 1447 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		*result_length1 = _tmp7__length1;
#line 1342 "HotspotDialog.c"
	}
#line 1447 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	result = _tmp7_;
#line 1447 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	return result;
#line 1348 "HotspotDialog.c"
}


static void network_widgets_hotspot_dialog_update (NetworkWidgetsHotspotDialog* self) {
	gboolean sensitive = FALSE;
	GtkComboBoxText* _tmp0_;
	const gchar* _tmp1_;
	GtkLabel* _tmp2_;
	gboolean _tmp3_;
	GtkLabel* _tmp4_;
	gboolean _tmp5_;
	GtkEntry* _tmp6_;
	gboolean _tmp7_;
	GtkEntry* _tmp8_;
	gboolean _tmp9_;
	GtkCheckButton* _tmp10_;
	gboolean _tmp11_;
	GtkLabel* _tmp12_;
	gboolean _tmp13_;
	gchar* secret = NULL;
	NMConnection* _tmp14_;
	NMConnection* _tmp15_;
	gboolean _tmp16_;
	GtkComboBoxText* _tmp38_;
	const gchar* _tmp39_;
	gboolean _tmp51_ = FALSE;
	gboolean _tmp52_ = FALSE;
	GtkEntry* _tmp53_;
	const gchar* _tmp54_;
	GtkButton* _tmp61_;
	gboolean _tmp62_ = FALSE;
	GtkEntry* _tmp63_;
	const gchar* _tmp64_;
	gint _tmp65_;
	gchar* _tmp66_;
	gchar* _tmp67_;
	gint _tmp67__length1;
	gboolean _tmp68_;
#line 180 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	g_return_if_fail (self != NULL);
#line 181 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp0_ = self->priv->conn_combo;
#line 181 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp1_ = gtk_combo_box_get_active_id ((GtkComboBox*) _tmp0_);
#line 181 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	sensitive = g_strcmp0 (_tmp1_, NETWORK_WIDGETS_HOTSPOT_DIALOG_NEW_ID) == 0;
#line 182 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp2_ = self->priv->ssid_label;
#line 182 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp3_ = sensitive;
#line 182 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp2_, _tmp3_);
#line 183 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp4_ = self->priv->key_label;
#line 183 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp5_ = sensitive;
#line 183 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp4_, _tmp5_);
#line 185 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp6_ = self->priv->ssid_entry;
#line 185 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp7_ = sensitive;
#line 185 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp6_, _tmp7_);
#line 186 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp8_ = self->priv->key_entry;
#line 186 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp9_ = sensitive;
#line 186 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp8_, _tmp9_);
#line 188 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp10_ = self->priv->check_btn;
#line 188 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp11_ = sensitive;
#line 188 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp10_, _tmp11_);
#line 189 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp12_ = self->priv->dumb;
#line 189 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp13_ = sensitive;
#line 189 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp12_, _tmp13_);
#line 191 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	secret = NULL;
#line 192 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp14_ = network_widgets_hotspot_dialog_get_selected_connection (self);
#line 192 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp15_ = _tmp14_;
#line 192 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp16_ = _tmp15_ != NULL;
#line 192 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (_tmp15_);
#line 192 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	if (_tmp16_) {
#line 1443 "HotspotDialog.c"
		NMSettingWirelessSecurity* setting_wireless_security = NULL;
		NMConnection* _tmp17_;
		NMConnection* _tmp18_;
		NMSettingWirelessSecurity* _tmp19_;
		NMSettingWirelessSecurity* _tmp20_;
		NMSettingWirelessSecurity* _tmp21_;
		gchar* key_mgmt = NULL;
		NMSettingWirelessSecurity* _tmp22_;
		const gchar* _tmp23_;
		gchar* _tmp24_;
		const gchar* _tmp25_;
		const gchar* _tmp35_;
#line 193 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp17_ = network_widgets_hotspot_dialog_get_selected_connection (self);
#line 193 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp18_ = _tmp17_;
#line 193 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp19_ = nm_connection_get_setting_wireless_security (_tmp18_);
#line 193 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp20_ = _g_object_ref0 (_tmp19_);
#line 193 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp21_ = _tmp20_;
#line 193 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_g_object_unref0 (_tmp18_);
#line 193 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		setting_wireless_security = _tmp21_;
#line 195 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp22_ = setting_wireless_security;
#line 195 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp23_ = nm_setting_wireless_security_get_key_mgmt (_tmp22_);
#line 195 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp24_ = g_strdup (_tmp23_);
#line 195 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		key_mgmt = _tmp24_;
#line 196 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp25_ = key_mgmt;
#line 196 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		if (g_strcmp0 (_tmp25_, "none") == 0) {
#line 1482 "HotspotDialog.c"
			NMSettingWirelessSecurity* _tmp26_;
			const gchar* _tmp27_;
			gchar* _tmp28_;
#line 197 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
			_tmp26_ = setting_wireless_security;
#line 197 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
			_tmp27_ = nm_setting_wireless_security_get_wep_key (_tmp26_, (guint32) 0);
#line 197 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
			_tmp28_ = g_strdup (_tmp27_);
#line 197 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
			_g_free0 (secret);
#line 197 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
			secret = _tmp28_;
#line 1496 "HotspotDialog.c"
		} else {
			gboolean _tmp29_ = FALSE;
			const gchar* _tmp30_;
#line 198 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
			_tmp30_ = key_mgmt;
#line 198 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
			if (g_strcmp0 (_tmp30_, "wpa-psk") == 0) {
#line 198 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp29_ = TRUE;
#line 1506 "HotspotDialog.c"
			} else {
				const gchar* _tmp31_;
#line 199 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp31_ = key_mgmt;
#line 199 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp29_ = g_strcmp0 (_tmp31_, "wpa-none") == 0;
#line 1513 "HotspotDialog.c"
			}
#line 198 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
			if (_tmp29_) {
#line 1517 "HotspotDialog.c"
				NMSettingWirelessSecurity* _tmp32_;
				const gchar* _tmp33_;
				gchar* _tmp34_;
#line 200 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp32_ = setting_wireless_security;
#line 200 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp33_ = nm_setting_wireless_security_get_psk (_tmp32_);
#line 200 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp34_ = g_strdup (_tmp33_);
#line 200 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
				_g_free0 (secret);
#line 200 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
				secret = _tmp34_;
#line 1531 "HotspotDialog.c"
			}
		}
#line 203 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp35_ = secret;
#line 203 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		if (_tmp35_ == NULL) {
#line 1538 "HotspotDialog.c"
			NMConnection* connection = NULL;
			NMConnection* _tmp36_;
			NMConnection* _tmp37_;
#line 204 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
			_tmp36_ = network_widgets_hotspot_dialog_get_selected_connection (self);
#line 204 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
			connection = _tmp36_;
#line 205 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
			_tmp37_ = connection;
#line 205 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
			network_utils_hotspot_update_secrets (G_TYPE_CHECK_INSTANCE_CAST (_tmp37_, nm_remote_connection_get_type (), NMRemoteConnection), _network_widgets_hotspot_dialog_update_network_utils_hotspot_update_secret_callback, self);
#line 203 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
			_g_object_unref0 (connection);
#line 1552 "HotspotDialog.c"
		}
#line 192 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_g_free0 (key_mgmt);
#line 192 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_g_object_unref0 (setting_wireless_security);
#line 1558 "HotspotDialog.c"
	}
#line 209 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp38_ = self->priv->conn_combo;
#line 209 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp39_ = gtk_combo_box_get_active_id ((GtkComboBox*) _tmp38_);
#line 209 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	if (g_strcmp0 (_tmp39_, NETWORK_WIDGETS_HOTSPOT_DIALOG_NEW_ID) != 0) {
#line 1566 "HotspotDialog.c"
		GtkEntry* _tmp40_;
		NMConnection* _tmp41_;
		NMConnection* _tmp42_;
		NMSettingWireless* _tmp43_;
		GByteArray* _tmp44_;
		gchar* _tmp45_;
		gchar* _tmp46_;
		const gchar* _tmp47_;
		GtkEntry* _tmp49_;
		const gchar* _tmp50_;
#line 210 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp40_ = self->priv->ssid_entry;
#line 210 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp41_ = network_widgets_hotspot_dialog_get_selected_connection (self);
#line 210 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp42_ = _tmp41_;
#line 210 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp43_ = nm_connection_get_setting_wireless (_tmp42_);
#line 210 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp44_ = nm_setting_wireless_get_ssid (_tmp43_);
#line 210 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp45_ = nm_utils_ssid_to_utf8 (_tmp44_);
#line 210 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp46_ = _tmp45_;
#line 210 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		gtk_entry_set_text (_tmp40_, _tmp46_);
#line 210 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_g_free0 (_tmp46_);
#line 210 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_g_object_unref0 (_tmp42_);
#line 211 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp47_ = secret;
#line 211 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		if (_tmp47_ == NULL) {
#line 1601 "HotspotDialog.c"
			gchar* _tmp48_;
#line 212 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
			_tmp48_ = g_strdup ("");
#line 212 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
			_g_free0 (secret);
#line 212 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
			secret = _tmp48_;
#line 1609 "HotspotDialog.c"
		}
#line 215 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp49_ = self->priv->key_entry;
#line 215 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp50_ = secret;
#line 215 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		gtk_entry_set_text (_tmp49_, _tmp50_);
#line 1617 "HotspotDialog.c"
	}
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp53_ = self->priv->ssid_entry;
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp54_ = gtk_entry_get_text (_tmp53_);
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	if (g_strcmp0 (_tmp54_, "") != 0) {
#line 1625 "HotspotDialog.c"
		GtkEntry* _tmp55_;
		const gchar* _tmp56_;
		gint _tmp57_;
		gchar* _tmp58_;
		gchar* _tmp59_;
		gint _tmp59__length1;
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp55_ = self->priv->key_entry;
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp56_ = gtk_entry_get_text (_tmp55_);
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp58_ = string_to_utf8 (_tmp56_, &_tmp57_);
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp59_ = _tmp58_;
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp59__length1 = _tmp57_;
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp52_ = _tmp57_ >= 8;
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp59_ = (g_free (_tmp59_), NULL);
#line 1646 "HotspotDialog.c"
	} else {
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp52_ = FALSE;
#line 1650 "HotspotDialog.c"
	}
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	if (_tmp52_) {
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp51_ = TRUE;
#line 1656 "HotspotDialog.c"
	} else {
		gboolean _tmp60_;
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp60_ = sensitive;
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp51_ = !_tmp60_;
#line 1663 "HotspotDialog.c"
	}
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp61_ = self->priv->create_btn;
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp61_, _tmp51_);
#line 220 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp63_ = self->priv->key_entry;
#line 220 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp64_ = gtk_entry_get_text (_tmp63_);
#line 220 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp66_ = string_to_utf8 (_tmp64_, &_tmp65_);
#line 220 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp67_ = _tmp66_;
#line 220 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp67__length1 = _tmp65_;
#line 220 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp68_ = _tmp65_ < 8;
#line 220 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp67_ = (g_free (_tmp67_), NULL);
#line 220 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	if (_tmp68_) {
#line 1685 "HotspotDialog.c"
		GtkEntry* _tmp69_;
		const gchar* _tmp70_;
#line 220 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp69_ = self->priv->key_entry;
#line 220 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp70_ = gtk_entry_get_text (_tmp69_);
#line 220 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp62_ = g_strcmp0 (_tmp70_, "") != 0;
#line 1694 "HotspotDialog.c"
	} else {
#line 220 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp62_ = FALSE;
#line 1698 "HotspotDialog.c"
	}
#line 220 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	if (_tmp62_) {
#line 1702 "HotspotDialog.c"
		GtkEntry* _tmp71_;
#line 221 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp71_ = self->priv->key_entry;
#line 221 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		gtk_entry_set_icon_from_icon_name (_tmp71_, GTK_ENTRY_ICON_SECONDARY, "process-error-symbolic");
#line 1708 "HotspotDialog.c"
	} else {
		GtkEntry* _tmp72_;
#line 223 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp72_ = self->priv->key_entry;
#line 223 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
		gtk_entry_set_icon_from_icon_name (_tmp72_, GTK_ENTRY_ICON_SECONDARY, "");
#line 1715 "HotspotDialog.c"
	}
#line 180 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_free0 (secret);
#line 1719 "HotspotDialog.c"
}


static void network_widgets_hotspot_dialog_class_init (NetworkWidgetsHotspotDialogClass * klass) {
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	network_widgets_hotspot_dialog_parent_class = g_type_class_peek_parent (klass);
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	g_type_class_add_private (klass, sizeof (NetworkWidgetsHotspotDialogPrivate));
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	G_OBJECT_CLASS (klass)->finalize = network_widgets_hotspot_dialog_finalize;
#line 1730 "HotspotDialog.c"
}


static void network_widgets_hotspot_dialog_instance_init (NetworkWidgetsHotspotDialog * self) {
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	self->priv = NETWORK_WIDGETS_HOTSPOT_DIALOG_GET_PRIVATE (self);
#line 1737 "HotspotDialog.c"
}


static void network_widgets_hotspot_dialog_finalize (GObject * obj) {
	NetworkWidgetsHotspotDialog * self;
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NETWORK_WIDGETS_TYPE_HOTSPOT_DIALOG, NetworkWidgetsHotspotDialog);
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->ssid_entry);
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->key_entry);
#line 26 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->ssid_label);
#line 27 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->key_label);
#line 29 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->conn_combo);
#line 31 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->check_btn);
#line 32 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->dumb);
#line 34 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->create_btn);
#line 36 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_hash_table_unref0 (self->priv->conn_hash);
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/Widgets/Hotspot/HotspotDialog.vala"
	G_OBJECT_CLASS (network_widgets_hotspot_dialog_parent_class)->finalize (obj);
#line 1765 "HotspotDialog.c"
}


GType network_widgets_hotspot_dialog_get_type (void) {
	static volatile gsize network_widgets_hotspot_dialog_type_id__volatile = 0;
	if (g_once_init_enter (&network_widgets_hotspot_dialog_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NetworkWidgetsHotspotDialogClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) network_widgets_hotspot_dialog_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NetworkWidgetsHotspotDialog), 0, (GInstanceInitFunc) network_widgets_hotspot_dialog_instance_init, NULL };
		GType network_widgets_hotspot_dialog_type_id;
		network_widgets_hotspot_dialog_type_id = g_type_register_static (gtk_dialog_get_type (), "NetworkWidgetsHotspotDialog", &g_define_type_info, 0);
		g_once_init_leave (&network_widgets_hotspot_dialog_type_id__volatile, network_widgets_hotspot_dialog_type_id);
	}
	return network_widgets_hotspot_dialog_type_id__volatile;
}



