/* WifiMenuItem.c generated by valac 0.37.91, the Vala compiler
 * generated from WifiMenuItem.vala, do not modify */

/*
 * Copyright (c) 2015 Wingpanel Developers (http://launchpad.net/wingpanel)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Library General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <nm-access-point.h>
#include <gdk/gdk.h>
#include <glib/gi18n-lib.h>
#include <NetworkManager.h>
#include <nm-utils.h>
#include <stdlib.h>
#include <string.h>


#define NETWORK_TYPE_WIFI_MENU_ITEM (network_wifi_menu_item_get_type ())
#define NETWORK_WIFI_MENU_ITEM(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NETWORK_TYPE_WIFI_MENU_ITEM, NetworkWifiMenuItem))
#define NETWORK_WIFI_MENU_ITEM_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NETWORK_TYPE_WIFI_MENU_ITEM, NetworkWifiMenuItemClass))
#define NETWORK_IS_WIFI_MENU_ITEM(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NETWORK_TYPE_WIFI_MENU_ITEM))
#define NETWORK_IS_WIFI_MENU_ITEM_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NETWORK_TYPE_WIFI_MENU_ITEM))
#define NETWORK_WIFI_MENU_ITEM_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NETWORK_TYPE_WIFI_MENU_ITEM, NetworkWifiMenuItemClass))

typedef struct _NetworkWifiMenuItem NetworkWifiMenuItem;
typedef struct _NetworkWifiMenuItemClass NetworkWifiMenuItemClass;
typedef struct _NetworkWifiMenuItemPrivate NetworkWifiMenuItemPrivate;

#define NETWORK_TYPE_STATE (network_state_get_type ())
enum  {
	NETWORK_WIFI_MENU_ITEM_DUMMY_PROPERTY,
	NETWORK_WIFI_MENU_ITEM_SSID,
	NETWORK_WIFI_MENU_ITEM_STATE,
	NETWORK_WIFI_MENU_ITEM_STRENGTH,
	NETWORK_WIFI_MENU_ITEM_IS_SECURED,
	NETWORK_WIFI_MENU_ITEM_AP,
	NETWORK_WIFI_MENU_ITEM_LAST_PROPERTY
};
static GParamSpec* network_wifi_menu_item_properties[NETWORK_WIFI_MENU_ITEM_LAST_PROPERTY];
#define __g_list_free__g_object_unref0_0(var) ((var == NULL) ? NULL : (var = (_g_list_free__g_object_unref0_ (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
enum  {
	NETWORK_WIFI_MENU_ITEM_USER_ACTION_SIGNAL,
	NETWORK_WIFI_MENU_ITEM_LAST_SIGNAL
};
static guint network_wifi_menu_item_signals[NETWORK_WIFI_MENU_ITEM_LAST_SIGNAL] = {0};

struct _NetworkWifiMenuItem {
	GtkListBoxRow parent_instance;
	NetworkWifiMenuItemPrivate * priv;
};

struct _NetworkWifiMenuItemClass {
	GtkListBoxRowClass parent_class;
};

typedef enum  {
	NETWORK_STATE_DISCONNECTED,
	NETWORK_STATE_WIRED_UNPLUGGED,
	NETWORK_STATE_CONNECTED_WIRED,
	NETWORK_STATE_CONNECTED_VPN,
	NETWORK_STATE_CONNECTED_WIFI,
	NETWORK_STATE_CONNECTED_WIFI_WEAK,
	NETWORK_STATE_CONNECTED_WIFI_OK,
	NETWORK_STATE_CONNECTED_WIFI_GOOD,
	NETWORK_STATE_CONNECTED_WIFI_EXCELLENT,
	NETWORK_STATE_CONNECTING_WIFI,
	NETWORK_STATE_CONNECTING_WIRED,
	NETWORK_STATE_CONNECTING_VPN,
	NETWORK_STATE_FAILED_WIRED,
	NETWORK_STATE_FAILED_WIFI,
	NETWORK_STATE_FAILED_VPN
} NetworkState;

struct _NetworkWifiMenuItemPrivate {
	GList* _ap;
	NetworkState _state;
	gboolean show_icons;
	NMAccessPoint* _tmp_ap;
	GtkRadioButton* radio_button;
	GtkImage* img_strength;
	GtkImage* lock_img;
	GtkImage* error_img;
	GtkSpinner* spinner;
};


static gpointer network_wifi_menu_item_parent_class = NULL;

GType network_wifi_menu_item_get_type (void) G_GNUC_CONST;
GType network_state_get_type (void) G_GNUC_CONST;
#define NETWORK_WIFI_MENU_ITEM_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NETWORK_TYPE_WIFI_MENU_ITEM, NetworkWifiMenuItemPrivate))
static void _g_object_unref0_ (gpointer var);
static inline void _g_list_free__g_object_unref0_ (GList* self);
NetworkWifiMenuItem* network_wifi_menu_item_new (NMAccessPoint* ap, NetworkWifiMenuItem* previous);
NetworkWifiMenuItem* network_wifi_menu_item_construct (GType object_type, NMAccessPoint* ap, NetworkWifiMenuItem* previous);
static GSList* network_wifi_menu_item_get_group (NetworkWifiMenuItem* self);
static gboolean __lambda16_ (NetworkWifiMenuItem* self, GtkWidget* b, GdkEventButton* ev);
static gboolean ___lambda16__gtk_widget_button_release_event (GtkWidget* _sender, GdkEventButton* event, gpointer self);
void network_wifi_menu_item_add_ap (NetworkWifiMenuItem* self, NMAccessPoint* ap);
static void network_wifi_menu_item_update (NetworkWifiMenuItem* self);
static void _network_wifi_menu_item_update_g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
NetworkWifiMenuItem* network_wifi_menu_item_new_blank (void);
NetworkWifiMenuItem* network_wifi_menu_item_construct_blank (GType object_type);
static void network_wifi_menu_item_update_tmp_ap (NetworkWifiMenuItem* self);
void network_wifi_menu_item_set_active (NetworkWifiMenuItem* self, gboolean active);
static void network_wifi_menu_item_set_lock_img_tooltip (NetworkWifiMenuItem* self, NM80211ApSecurityFlags flags);
NMAccessPoint* network_wifi_menu_item_get_ap (NetworkWifiMenuItem* self);
static gchar* network_wifi_menu_item_strength_to_string (NetworkWifiMenuItem* self, guint8 strength);
guint8 network_wifi_menu_item_get_strength (NetworkWifiMenuItem* self);
gboolean network_wifi_menu_item_get_is_secured (NetworkWifiMenuItem* self);
static void network_wifi_menu_item_hide_item (NetworkWifiMenuItem* self, GtkWidget* w);
NetworkState network_wifi_menu_item_get_state (NetworkWifiMenuItem* self);
static void network_wifi_menu_item_show_item (NetworkWifiMenuItem* self, GtkWidget* w);
void network_wifi_menu_item_hide_icons (NetworkWifiMenuItem* self);
gboolean network_wifi_menu_item_remove_ap (NetworkWifiMenuItem* self, NMAccessPoint* ap);
GByteArray* network_wifi_menu_item_get_ssid (NetworkWifiMenuItem* self);
void network_wifi_menu_item_set_state (NetworkWifiMenuItem* self, NetworkState value);
static void network_wifi_menu_item_finalize (GObject * obj);
static void _vala_network_wifi_menu_item_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_network_wifi_menu_item_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


static void _g_object_unref0_ (gpointer var) {
#line 19 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	(var == NULL) ? NULL : (var = (g_object_unref (var), NULL));
#line 144 "WifiMenuItem.c"
}


static inline void _g_list_free__g_object_unref0_ (GList* self) {
#line 19 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_list_free_full (self, (GDestroyNotify) _g_object_unref0_);
#line 151 "WifiMenuItem.c"
}


static gboolean __lambda16_ (NetworkWifiMenuItem* self, GtkWidget* b, GdkEventButton* ev) {
	gboolean result = FALSE;
#line 62 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (b != NULL, FALSE);
#line 62 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (ev != NULL, FALSE);
#line 63 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_signal_emit (self, network_wifi_menu_item_signals[NETWORK_WIFI_MENU_ITEM_USER_ACTION_SIGNAL], 0);
#line 64 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	result = FALSE;
#line 64 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	return result;
#line 167 "WifiMenuItem.c"
}


static gboolean ___lambda16__gtk_widget_button_release_event (GtkWidget* _sender, GdkEventButton* event, gpointer self) {
	gboolean result;
	result = __lambda16_ ((NetworkWifiMenuItem*) self, _sender, event);
#line 62 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	return result;
#line 176 "WifiMenuItem.c"
}


static void _network_wifi_menu_item_update_g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 94 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_update ((NetworkWifiMenuItem*) self);
#line 183 "WifiMenuItem.c"
}


NetworkWifiMenuItem* network_wifi_menu_item_construct (GType object_type, NMAccessPoint* ap, NetworkWifiMenuItem* previous) {
	NetworkWifiMenuItem * self = NULL;
	GtkBox* main_box = NULL;
	GtkBox* _tmp0_;
	GtkRadioButton* _tmp1_;
	GtkRadioButton* _tmp2_;
	NetworkWifiMenuItem* _tmp3_;
	GtkRadioButton* _tmp7_;
	GtkImage* _tmp8_;
	GtkImage* _tmp9_;
	GtkImage* _tmp10_;
	GtkImage* _tmp11_;
	GtkImage* _tmp12_;
	GtkImage* _tmp13_;
	GtkImage* _tmp14_;
	GtkBox* _tmp15_;
	GtkRadioButton* _tmp16_;
	GtkSpinner* _tmp17_;
	GtkSpinner* _tmp18_;
	GtkSpinner* _tmp19_;
	GtkSpinner* _tmp20_;
	GtkSpinner* _tmp21_;
	gboolean _tmp22_;
	gboolean _tmp23_;
	GtkBox* _tmp24_;
	GtkSpinner* _tmp25_;
	GtkBox* _tmp26_;
	GtkImage* _tmp27_;
	GtkBox* _tmp28_;
	GtkImage* _tmp29_;
	GtkBox* _tmp30_;
	GtkImage* _tmp31_;
	NMAccessPoint* _tmp32_;
	GtkRadioButton* _tmp33_;
	GtkBox* _tmp34_;
	GtkStyleContext* _tmp35_;
#line 56 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (ap != NULL, NULL);
#line 56 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	self = (NetworkWifiMenuItem*) g_object_new (object_type, NULL);
#line 57 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_HORIZONTAL, 6);
#line 57 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_object_ref_sink (_tmp0_);
#line 57 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	main_box = _tmp0_;
#line 58 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp1_ = (GtkRadioButton*) gtk_radio_button_new (NULL);
#line 58 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_object_ref_sink (_tmp1_);
#line 58 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->radio_button);
#line 58 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	self->priv->radio_button = _tmp1_;
#line 59 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp2_ = self->priv->radio_button;
#line 59 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_margin_start ((GtkWidget*) _tmp2_, 6);
#line 60 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp3_ = previous;
#line 60 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	if (_tmp3_ != NULL) {
#line 249 "WifiMenuItem.c"
		GtkRadioButton* _tmp4_;
		NetworkWifiMenuItem* _tmp5_;
		GSList* _tmp6_;
#line 60 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_tmp4_ = self->priv->radio_button;
#line 60 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_tmp5_ = previous;
#line 60 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_tmp6_ = network_wifi_menu_item_get_group (_tmp5_);
#line 60 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		gtk_radio_button_set_group (_tmp4_, _tmp6_);
#line 261 "WifiMenuItem.c"
	}
#line 62 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp7_ = self->priv->radio_button;
#line 62 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_signal_connect_object ((GtkWidget*) _tmp7_, "button-release-event", (GCallback) ___lambda16__gtk_widget_button_release_event, self, 0);
#line 67 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp8_ = (GtkImage*) gtk_image_new ();
#line 67 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_object_ref_sink (_tmp8_);
#line 67 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->img_strength);
#line 67 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	self->priv->img_strength = _tmp8_;
#line 68 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp9_ = self->priv->img_strength;
#line 68 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_margin_end ((GtkWidget*) _tmp9_, 6);
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp10_ = (GtkImage*) gtk_image_new_from_icon_name ("channel-secure-symbolic", GTK_ICON_SIZE_MENU);
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_object_ref_sink (_tmp10_);
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->lock_img);
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	self->priv->lock_img = _tmp10_;
#line 71 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp11_ = self->priv->lock_img;
#line 71 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_margin_start ((GtkWidget*) _tmp11_, 6);
#line 74 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp12_ = (GtkImage*) gtk_image_new_from_icon_name ("process-error-symbolic", GTK_ICON_SIZE_MENU);
#line 74 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_object_ref_sink (_tmp12_);
#line 74 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->error_img);
#line 74 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	self->priv->error_img = _tmp12_;
#line 75 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp13_ = self->priv->error_img;
#line 75 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_margin_start ((GtkWidget*) _tmp13_, 6);
#line 77 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp14_ = self->priv->error_img;
#line 77 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_tooltip_text ((GtkWidget*) _tmp14_, _ ("This wireless network could not be connected to."));
#line 79 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp15_ = main_box;
#line 79 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp16_ = self->priv->radio_button;
#line 79 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	gtk_box_pack_start (_tmp15_, (GtkWidget*) _tmp16_, TRUE, TRUE, (guint) 0);
#line 80 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp17_ = (GtkSpinner*) gtk_spinner_new ();
#line 80 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_object_ref_sink (_tmp17_);
#line 80 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->spinner);
#line 80 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	self->priv->spinner = _tmp17_;
#line 81 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp18_ = self->priv->spinner;
#line 81 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	gtk_spinner_start (_tmp18_);
#line 82 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp19_ = self->priv->spinner;
#line 82 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp19_, FALSE);
#line 83 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp20_ = self->priv->spinner;
#line 83 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp21_ = self->priv->spinner;
#line 83 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp22_ = gtk_widget_get_visible ((GtkWidget*) _tmp21_);
#line 83 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp23_ = _tmp22_;
#line 83 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_no_show_all ((GtkWidget*) _tmp20_, !_tmp23_);
#line 84 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp24_ = main_box;
#line 84 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp25_ = self->priv->spinner;
#line 84 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	gtk_box_pack_start (_tmp24_, (GtkWidget*) _tmp25_, FALSE, FALSE, (guint) 0);
#line 85 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp26_ = main_box;
#line 85 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp27_ = self->priv->error_img;
#line 85 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	gtk_box_pack_start (_tmp26_, (GtkWidget*) _tmp27_, FALSE, FALSE, (guint) 0);
#line 86 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp28_ = main_box;
#line 86 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp29_ = self->priv->lock_img;
#line 86 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	gtk_box_pack_start (_tmp28_, (GtkWidget*) _tmp29_, FALSE, FALSE, (guint) 0);
#line 87 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp30_ = main_box;
#line 87 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp31_ = self->priv->img_strength;
#line 87 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	gtk_box_pack_start (_tmp30_, (GtkWidget*) _tmp31_, FALSE, FALSE, (guint) 0);
#line 89 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	__g_list_free__g_object_unref0_0 (self->priv->_ap);
#line 89 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	self->priv->_ap = NULL;
#line 92 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp32_ = ap;
#line 92 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_add_ap (self, _tmp32_);
#line 94 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_signal_connect_object ((GObject*) self, "notify::state", (GCallback) _network_wifi_menu_item_update_g_object_notify, self, 0);
#line 95 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp33_ = self->priv->radio_button;
#line 95 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_signal_connect_object ((GObject*) _tmp33_, "notify::active", (GCallback) _network_wifi_menu_item_update_g_object_notify, self, 0);
#line 96 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp34_ = main_box;
#line 96 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp34_);
#line 97 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp35_ = gtk_widget_get_style_context ((GtkWidget*) self);
#line 97 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	gtk_style_context_add_class (_tmp35_, "menuitem");
#line 99 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_update (self);
#line 56 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (main_box);
#line 56 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	return self;
#line 391 "WifiMenuItem.c"
}


NetworkWifiMenuItem* network_wifi_menu_item_new (NMAccessPoint* ap, NetworkWifiMenuItem* previous) {
#line 56 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	return network_wifi_menu_item_construct (NETWORK_TYPE_WIFI_MENU_ITEM, ap, previous);
#line 398 "WifiMenuItem.c"
}


/**
 * Only used for an item which is not displayed: hacky way to have no radio button selected.
 **/
NetworkWifiMenuItem* network_wifi_menu_item_construct_blank (GType object_type) {
	NetworkWifiMenuItem * self = NULL;
	GtkRadioButton* _tmp0_;
#line 105 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	self = (NetworkWifiMenuItem*) g_object_new (object_type, NULL);
#line 106 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = (GtkRadioButton*) gtk_radio_button_new (NULL);
#line 106 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_object_ref_sink (_tmp0_);
#line 106 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->radio_button);
#line 106 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	self->priv->radio_button = _tmp0_;
#line 105 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	return self;
#line 420 "WifiMenuItem.c"
}


NetworkWifiMenuItem* network_wifi_menu_item_new_blank (void) {
#line 105 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	return network_wifi_menu_item_construct_blank (NETWORK_TYPE_WIFI_MENU_ITEM);
#line 427 "WifiMenuItem.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 111 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	return self ? g_object_ref (self) : NULL;
#line 434 "WifiMenuItem.c"
}


static void network_wifi_menu_item_update_tmp_ap (NetworkWifiMenuItem* self) {
	guint8 strength = 0U;
	GList* _tmp0_;
#line 109 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 110 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	strength = (guint8) 0;
#line 111 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = self->priv->_ap;
#line 447 "WifiMenuItem.c"
	{
		GList* ap_collection = NULL;
		GList* ap_it = NULL;
#line 111 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		ap_collection = _tmp0_;
#line 111 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		for (ap_it = ap_collection; ap_it != NULL; ap_it = ap_it->next) {
#line 455 "WifiMenuItem.c"
			NMAccessPoint* _tmp1_;
			NMAccessPoint* ap = NULL;
#line 111 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
			_tmp1_ = _g_object_ref0 ((NMAccessPoint*) ap_it->data);
#line 111 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
			ap = _tmp1_;
#line 462 "WifiMenuItem.c"
			{
				NMAccessPoint* _tmp2_ = NULL;
				guint8 _tmp3_;
				NMAccessPoint* _tmp4_;
				guint8 _tmp5_;
				NMAccessPoint* _tmp8_;
				guint8 _tmp9_;
				NMAccessPoint* _tmp10_;
				guint8 _tmp11_;
				guint8 _tmp12_;
#line 112 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
				_tmp3_ = strength;
#line 112 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
				_tmp4_ = ap;
#line 112 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
				_tmp5_ = nm_access_point_get_strength (_tmp4_);
#line 112 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
				if (_tmp3_ > _tmp5_) {
#line 481 "WifiMenuItem.c"
					NMAccessPoint* _tmp6_;
#line 112 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
					_tmp6_ = self->priv->_tmp_ap;
#line 112 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
					_tmp2_ = _tmp6_;
#line 487 "WifiMenuItem.c"
				} else {
					NMAccessPoint* _tmp7_;
#line 112 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
					_tmp7_ = ap;
#line 112 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
					_tmp2_ = _tmp7_;
#line 494 "WifiMenuItem.c"
				}
#line 112 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
				_tmp8_ = _g_object_ref0 (_tmp2_);
#line 112 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
				_g_object_unref0 (self->priv->_tmp_ap);
#line 112 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
				self->priv->_tmp_ap = _tmp8_;
#line 113 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
				_tmp9_ = strength;
#line 113 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
				_tmp10_ = ap;
#line 113 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
				_tmp11_ = nm_access_point_get_strength (_tmp10_);
#line 113 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
				_tmp12_ = MAX (_tmp9_, _tmp11_);
#line 113 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
				strength = _tmp12_;
#line 111 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
				_g_object_unref0 (ap);
#line 514 "WifiMenuItem.c"
			}
		}
	}
}


void network_wifi_menu_item_set_active (NetworkWifiMenuItem* self, gboolean active) {
	GtkRadioButton* _tmp0_;
	gboolean _tmp1_;
#line 117 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 118 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = self->priv->radio_button;
#line 118 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp1_ = active;
#line 118 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	gtk_toggle_button_set_active ((GtkToggleButton*) _tmp0_, _tmp1_);
#line 532 "WifiMenuItem.c"
}


static GSList* network_wifi_menu_item_get_group (NetworkWifiMenuItem* self) {
	GSList* result = NULL;
	GtkRadioButton* _tmp0_;
	GSList* _tmp1_;
#line 121 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 122 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = self->priv->radio_button;
#line 122 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp1_ = gtk_radio_button_get_group (_tmp0_);
#line 122 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	result = _tmp1_;
#line 122 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	return result;
#line 550 "WifiMenuItem.c"
}


static void network_wifi_menu_item_set_lock_img_tooltip (NetworkWifiMenuItem* self, NM80211ApSecurityFlags flags) {
	NM80211ApSecurityFlags _tmp0_;
#line 125 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 126 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = flags;
#line 126 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	if ((_tmp0_ & NM_802_11_AP_SEC_GROUP_WEP40) != 0) {
#line 562 "WifiMenuItem.c"
		GtkImage* _tmp1_;
#line 127 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_tmp1_ = self->priv->lock_img;
#line 127 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		gtk_widget_set_tooltip_text ((GtkWidget*) _tmp1_, _ ("This network uses 40/64-bit WEP encryption."));
#line 568 "WifiMenuItem.c"
	} else {
		NM80211ApSecurityFlags _tmp2_;
#line 128 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_tmp2_ = flags;
#line 128 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		if ((_tmp2_ & NM_802_11_AP_SEC_GROUP_WEP104) != 0) {
#line 575 "WifiMenuItem.c"
			GtkImage* _tmp3_;
#line 129 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
			_tmp3_ = self->priv->lock_img;
#line 129 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
			gtk_widget_set_tooltip_text ((GtkWidget*) _tmp3_, _ ("This network uses 104/128-bit WEP encryption."));
#line 581 "WifiMenuItem.c"
		} else {
			NM80211ApSecurityFlags _tmp4_;
#line 130 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
			_tmp4_ = flags;
#line 130 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
			if ((_tmp4_ & NM_802_11_AP_SEC_KEY_MGMT_PSK) != 0) {
#line 588 "WifiMenuItem.c"
				GtkImage* _tmp5_;
#line 131 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
				_tmp5_ = self->priv->lock_img;
#line 131 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
				gtk_widget_set_tooltip_text ((GtkWidget*) _tmp5_, _ ("This network uses WPA encryption."));
#line 594 "WifiMenuItem.c"
			} else {
				GtkImage* _tmp6_;
#line 133 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
				_tmp6_ = self->priv->lock_img;
#line 133 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
				gtk_widget_set_tooltip_text ((GtkWidget*) _tmp6_, _ ("This network uses encryption."));
#line 601 "WifiMenuItem.c"
			}
		}
	}
}


static void network_wifi_menu_item_update (NetworkWifiMenuItem* self) {
	GtkRadioButton* _tmp0_;
	NMAccessPoint* _tmp1_;
	NMAccessPoint* _tmp2_;
	GByteArray* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
	gboolean _tmp6_;
	NetworkState _tmp29_;
#line 137 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 138 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = self->priv->radio_button;
#line 138 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp1_ = network_wifi_menu_item_get_ap (self);
#line 138 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp2_ = _tmp1_;
#line 138 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp3_ = nm_access_point_get_ssid (_tmp2_);
#line 138 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp4_ = nm_utils_ssid_to_utf8 (_tmp3_);
#line 138 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp5_ = _tmp4_;
#line 138 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	gtk_button_set_label ((GtkButton*) _tmp0_, _tmp5_);
#line 138 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_g_free0 (_tmp5_);
#line 141 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp6_ = self->priv->show_icons;
#line 141 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	if (_tmp6_) {
#line 639 "WifiMenuItem.c"
		GtkImage* _tmp7_;
		guint8 _tmp8_;
		guint8 _tmp9_;
		gchar* _tmp10_;
		gchar* _tmp11_;
		gchar* _tmp12_;
		gchar* _tmp13_;
		gchar* _tmp14_;
		gchar* _tmp15_;
		GtkImage* _tmp16_;
		GtkImage* _tmp17_;
		gboolean _tmp18_;
		gboolean _tmp19_;
		NMAccessPoint* _tmp20_;
		NMAccessPoint* _tmp21_;
		NM80211ApSecurityFlags _tmp22_;
		GtkImage* _tmp23_;
		GtkImage* _tmp24_;
		gboolean _tmp25_;
		gboolean _tmp26_;
		GtkImage* _tmp27_;
		GtkSpinner* _tmp28_;
#line 143 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_tmp7_ = self->priv->img_strength;
#line 143 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_tmp8_ = network_wifi_menu_item_get_strength (self);
#line 143 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_tmp9_ = _tmp8_;
#line 143 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_tmp10_ = network_wifi_menu_item_strength_to_string (self, _tmp9_);
#line 143 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_tmp11_ = _tmp10_;
#line 143 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_tmp12_ = g_strconcat ("network-wireless-signal-", _tmp11_, NULL);
#line 143 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_tmp13_ = _tmp12_;
#line 143 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_tmp14_ = g_strconcat (_tmp13_, "-symbolic", NULL);
#line 143 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_tmp15_ = _tmp14_;
#line 143 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		gtk_image_set_from_icon_name (_tmp7_, _tmp15_, GTK_ICON_SIZE_MENU);
#line 143 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_g_free0 (_tmp15_);
#line 143 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_g_free0 (_tmp13_);
#line 143 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_g_free0 (_tmp11_);
#line 144 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_tmp16_ = self->priv->img_strength;
#line 144 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		gtk_widget_show_all ((GtkWidget*) _tmp16_);
#line 146 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_tmp17_ = self->priv->lock_img;
#line 146 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_tmp18_ = network_wifi_menu_item_get_is_secured (self);
#line 146 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_tmp19_ = _tmp18_;
#line 146 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		gtk_widget_set_visible ((GtkWidget*) _tmp17_, _tmp19_);
#line 147 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_tmp20_ = network_wifi_menu_item_get_ap (self);
#line 147 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_tmp21_ = _tmp20_;
#line 147 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_tmp22_ = nm_access_point_get_wpa_flags (_tmp21_);
#line 147 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		network_wifi_menu_item_set_lock_img_tooltip (self, _tmp22_);
#line 148 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_tmp23_ = self->priv->lock_img;
#line 148 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_tmp24_ = self->priv->lock_img;
#line 148 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_tmp25_ = gtk_widget_get_visible ((GtkWidget*) _tmp24_);
#line 148 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_tmp26_ = _tmp25_;
#line 148 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		gtk_widget_set_no_show_all ((GtkWidget*) _tmp23_, !_tmp26_);
#line 150 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_tmp27_ = self->priv->error_img;
#line 150 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		network_wifi_menu_item_hide_item (self, (GtkWidget*) _tmp27_);
#line 151 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_tmp28_ = self->priv->spinner;
#line 151 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		network_wifi_menu_item_hide_item (self, (GtkWidget*) _tmp28_);
#line 726 "WifiMenuItem.c"
	}
#line 155 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp29_ = self->priv->_state;
#line 155 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	switch (_tmp29_) {
#line 155 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		case NETWORK_STATE_FAILED_WIFI:
#line 734 "WifiMenuItem.c"
		{
			GtkImage* _tmp30_;
#line 157 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
			_tmp30_ = self->priv->error_img;
#line 157 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
			network_wifi_menu_item_show_item (self, (GtkWidget*) _tmp30_);
#line 158 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
			break;
#line 743 "WifiMenuItem.c"
		}
#line 155 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		case NETWORK_STATE_CONNECTING_WIFI:
#line 747 "WifiMenuItem.c"
		{
			GtkSpinner* _tmp31_;
			GtkRadioButton* _tmp32_;
			gboolean _tmp33_;
			gboolean _tmp34_;
#line 160 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
			_tmp31_ = self->priv->spinner;
#line 160 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
			network_wifi_menu_item_show_item (self, (GtkWidget*) _tmp31_);
#line 161 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
			_tmp32_ = self->priv->radio_button;
#line 161 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
			_tmp33_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp32_);
#line 161 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
			_tmp34_ = _tmp33_;
#line 161 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
			if (!_tmp34_) {
#line 162 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
				g_critical ("WifiMenuItem.vala:162: An access point is being connected but not acti" \
"ve.");
#line 767 "WifiMenuItem.c"
			}
#line 164 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
			break;
#line 771 "WifiMenuItem.c"
		}
		default:
#line 155 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		break;
#line 776 "WifiMenuItem.c"
	}
}


void network_wifi_menu_item_hide_icons (NetworkWifiMenuItem* self) {
	GtkImage* _tmp0_;
	GtkImage* _tmp1_;
	GtkImage* _tmp2_;
#line 168 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 170 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	self->priv->show_icons = FALSE;
#line 171 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = self->priv->error_img;
#line 171 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_hide_item (self, (GtkWidget*) _tmp0_);
#line 172 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp1_ = self->priv->lock_img;
#line 172 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_hide_item (self, (GtkWidget*) _tmp1_);
#line 173 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp2_ = self->priv->img_strength;
#line 173 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_hide_item (self, (GtkWidget*) _tmp2_);
#line 801 "WifiMenuItem.c"
}


static void network_wifi_menu_item_show_item (NetworkWifiMenuItem* self, GtkWidget* w) {
	GtkWidget* _tmp0_;
	GtkWidget* _tmp1_;
	GtkWidget* _tmp2_;
	gboolean _tmp3_;
	gboolean _tmp4_;
#line 177 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 177 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_return_if_fail (w != NULL);
#line 178 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = w;
#line 178 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_visible (_tmp0_, TRUE);
#line 179 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp1_ = w;
#line 179 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp2_ = w;
#line 179 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp3_ = gtk_widget_get_visible (_tmp2_);
#line 179 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp4_ = _tmp3_;
#line 179 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_no_show_all (_tmp1_, !_tmp4_);
#line 829 "WifiMenuItem.c"
}


static void network_wifi_menu_item_hide_item (NetworkWifiMenuItem* self, GtkWidget* w) {
	GtkWidget* _tmp0_;
	GtkWidget* _tmp1_;
	GtkWidget* _tmp2_;
	gboolean _tmp3_;
	gboolean _tmp4_;
	GtkWidget* _tmp5_;
#line 182 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 182 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_return_if_fail (w != NULL);
#line 183 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = w;
#line 183 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_visible (_tmp0_, FALSE);
#line 184 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp1_ = w;
#line 184 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp2_ = w;
#line 184 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp3_ = gtk_widget_get_visible (_tmp2_);
#line 184 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp4_ = _tmp3_;
#line 184 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_no_show_all (_tmp1_, !_tmp4_);
#line 185 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp5_ = w;
#line 185 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_hide (_tmp5_);
#line 862 "WifiMenuItem.c"
}


void network_wifi_menu_item_add_ap (NetworkWifiMenuItem* self, NMAccessPoint* ap) {
	NMAccessPoint* _tmp0_;
	NMAccessPoint* _tmp1_;
#line 188 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 188 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_return_if_fail (ap != NULL);
#line 189 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = ap;
#line 189 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 189 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	self->priv->_ap = g_list_append (self->priv->_ap, _tmp1_);
#line 190 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_update_tmp_ap (self);
#line 192 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_update (self);
#line 883 "WifiMenuItem.c"
}


static gchar* network_wifi_menu_item_strength_to_string (NetworkWifiMenuItem* self, guint8 strength) {
	gchar* result = NULL;
	guint8 _tmp0_;
#line 195 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 196 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = strength;
#line 196 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	if (((gint) _tmp0_) < 30) {
#line 896 "WifiMenuItem.c"
		gchar* _tmp1_;
#line 197 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_tmp1_ = g_strdup ("weak");
#line 197 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		result = _tmp1_;
#line 197 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		return result;
#line 904 "WifiMenuItem.c"
	} else {
		guint8 _tmp2_;
#line 198 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_tmp2_ = strength;
#line 198 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		if (((gint) _tmp2_) < 55) {
#line 911 "WifiMenuItem.c"
			gchar* _tmp3_;
#line 199 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
			_tmp3_ = g_strdup ("ok");
#line 199 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
			result = _tmp3_;
#line 199 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
			return result;
#line 919 "WifiMenuItem.c"
		} else {
			guint8 _tmp4_;
#line 200 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
			_tmp4_ = strength;
#line 200 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
			if (((gint) _tmp4_) < 80) {
#line 926 "WifiMenuItem.c"
				gchar* _tmp5_;
#line 201 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
				_tmp5_ = g_strdup ("good");
#line 201 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
				result = _tmp5_;
#line 201 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
				return result;
#line 934 "WifiMenuItem.c"
			} else {
				gchar* _tmp6_;
#line 203 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
				_tmp6_ = g_strdup ("excellent");
#line 203 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
				result = _tmp6_;
#line 203 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
				return result;
#line 943 "WifiMenuItem.c"
			}
		}
	}
}


gboolean network_wifi_menu_item_remove_ap (NetworkWifiMenuItem* self, NMAccessPoint* ap) {
	gboolean result = FALSE;
	NMAccessPoint* _tmp0_;
	GList* _tmp1_;
	guint _tmp2_;
#line 206 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 206 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (ap != NULL, FALSE);
#line 207 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = ap;
#line 207 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	self->priv->_ap = g_list_remove (self->priv->_ap, _tmp0_);
#line 209 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_update_tmp_ap (self);
#line 211 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp1_ = self->priv->_ap;
#line 211 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp2_ = g_list_length (_tmp1_);
#line 211 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	result = _tmp2_ > ((guint) 0);
#line 211 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	return result;
#line 973 "WifiMenuItem.c"
}


GByteArray* network_wifi_menu_item_get_ssid (NetworkWifiMenuItem* self) {
	GByteArray* result;
	NMAccessPoint* _tmp0_;
	GByteArray* _tmp1_;
#line 22 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = self->priv->_tmp_ap;
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp1_ = nm_access_point_get_ssid (_tmp0_);
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	result = _tmp1_;
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	return result;
#line 991 "WifiMenuItem.c"
}


NetworkState network_wifi_menu_item_get_state (NetworkWifiMenuItem* self) {
	NetworkState result;
	NetworkState _tmp0_;
#line 27 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 27 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = self->priv->_state;
#line 27 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	result = _tmp0_;
#line 27 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	return result;
#line 1006 "WifiMenuItem.c"
}


void network_wifi_menu_item_set_state (NetworkWifiMenuItem* self, NetworkState value) {
#line 27 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 27 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	if (network_wifi_menu_item_get_state (self) != value) {
#line 1015 "WifiMenuItem.c"
		NetworkState _tmp0_;
#line 27 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_tmp0_ = value;
#line 27 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		self->priv->_state = _tmp0_;
#line 27 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		g_object_notify_by_pspec ((GObject *) self, network_wifi_menu_item_properties[NETWORK_WIFI_MENU_ITEM_STATE]);
#line 1023 "WifiMenuItem.c"
	}
}


guint8 network_wifi_menu_item_get_strength (NetworkWifiMenuItem* self) {
	guint8 result;
	guint8 strength = 0U;
	GList* _tmp0_;
	guint8 _tmp6_;
#line 30 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 31 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	strength = (guint8) 0;
#line 32 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = self->priv->_ap;
#line 1039 "WifiMenuItem.c"
	{
		GList* ap_collection = NULL;
		GList* ap_it = NULL;
#line 32 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		ap_collection = _tmp0_;
#line 32 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		for (ap_it = ap_collection; ap_it != NULL; ap_it = ap_it->next) {
#line 1047 "WifiMenuItem.c"
			NMAccessPoint* _tmp1_;
			NMAccessPoint* ap = NULL;
#line 32 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
			_tmp1_ = _g_object_ref0 ((NMAccessPoint*) ap_it->data);
#line 32 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
			ap = _tmp1_;
#line 1054 "WifiMenuItem.c"
			{
				guint8 _tmp2_;
				NMAccessPoint* _tmp3_;
				guint8 _tmp4_;
				guint8 _tmp5_;
#line 33 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
				_tmp2_ = strength;
#line 33 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
				_tmp3_ = ap;
#line 33 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
				_tmp4_ = nm_access_point_get_strength (_tmp3_);
#line 33 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
				_tmp5_ = MAX (_tmp2_, _tmp4_);
#line 33 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
				strength = _tmp5_;
#line 32 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
				_g_object_unref0 (ap);
#line 1072 "WifiMenuItem.c"
			}
		}
	}
#line 35 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp6_ = strength;
#line 35 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	result = _tmp6_;
#line 35 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	return result;
#line 1082 "WifiMenuItem.c"
}


gboolean network_wifi_menu_item_get_is_secured (NetworkWifiMenuItem* self) {
	gboolean result;
	gboolean _tmp0_ = FALSE;
	NMAccessPoint* _tmp1_;
	NMAccessPoint* _tmp2_;
	NM80211ApSecurityFlags _tmp3_;
#line 40 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 41 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp1_ = network_wifi_menu_item_get_ap (self);
#line 41 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp2_ = _tmp1_;
#line 41 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp3_ = nm_access_point_get_wpa_flags (_tmp2_);
#line 41 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	if (_tmp3_ != NM_802_11_AP_SEC_NONE) {
#line 41 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_tmp0_ = TRUE;
#line 1104 "WifiMenuItem.c"
	} else {
		NMAccessPoint* _tmp4_;
		NMAccessPoint* _tmp5_;
		NM80211ApSecurityFlags _tmp6_;
#line 41 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_tmp4_ = network_wifi_menu_item_get_ap (self);
#line 41 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_tmp5_ = _tmp4_;
#line 41 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_tmp6_ = nm_access_point_get_rsn_flags (_tmp5_);
#line 41 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		_tmp0_ = _tmp6_ != NM_802_11_AP_SEC_NONE;
#line 1117 "WifiMenuItem.c"
	}
#line 41 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	result = _tmp0_;
#line 41 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	return result;
#line 1123 "WifiMenuItem.c"
}


NMAccessPoint* network_wifi_menu_item_get_ap (NetworkWifiMenuItem* self) {
	NMAccessPoint* result;
	NMAccessPoint* _tmp0_;
#line 47 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 47 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = self->priv->_tmp_ap;
#line 47 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	result = _tmp0_;
#line 47 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	return result;
#line 1138 "WifiMenuItem.c"
}


static void network_wifi_menu_item_class_init (NetworkWifiMenuItemClass * klass) {
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_parent_class = g_type_class_peek_parent (klass);
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_type_class_add_private (klass, sizeof (NetworkWifiMenuItemPrivate));
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_network_wifi_menu_item_get_property;
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_network_wifi_menu_item_set_property;
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	G_OBJECT_CLASS (klass)->finalize = network_wifi_menu_item_finalize;
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NETWORK_WIFI_MENU_ITEM_SSID, network_wifi_menu_item_properties[NETWORK_WIFI_MENU_ITEM_SSID] = g_param_spec_boxed ("ssid", "ssid", "ssid", G_TYPE_BYTE_ARRAY, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NETWORK_WIFI_MENU_ITEM_STATE, network_wifi_menu_item_properties[NETWORK_WIFI_MENU_ITEM_STATE] = g_param_spec_enum ("state", "state", "state", NETWORK_TYPE_STATE, NETWORK_STATE_DISCONNECTED, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NETWORK_WIFI_MENU_ITEM_STRENGTH, network_wifi_menu_item_properties[NETWORK_WIFI_MENU_ITEM_STRENGTH] = g_param_spec_uchar ("strength", "strength", "strength", 0, G_MAXUINT8, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NETWORK_WIFI_MENU_ITEM_IS_SECURED, network_wifi_menu_item_properties[NETWORK_WIFI_MENU_ITEM_IS_SECURED] = g_param_spec_boolean ("is-secured", "is-secured", "is-secured", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NETWORK_WIFI_MENU_ITEM_AP, network_wifi_menu_item_properties[NETWORK_WIFI_MENU_ITEM_AP] = g_param_spec_object ("ap", "ap", "ap", nm_access_point_get_type (), G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_signals[NETWORK_WIFI_MENU_ITEM_USER_ACTION_SIGNAL] = g_signal_new ("user-action", NETWORK_TYPE_WIFI_MENU_ITEM, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 1165 "WifiMenuItem.c"
}


static void network_wifi_menu_item_instance_init (NetworkWifiMenuItem * self) {
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	self->priv = NETWORK_WIFI_MENU_ITEM_GET_PRIVATE (self);
#line 27 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	self->priv->_state = NETWORK_STATE_DISCONNECTED;
#line 45 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	self->priv->show_icons = TRUE;
#line 1176 "WifiMenuItem.c"
}


static void network_wifi_menu_item_finalize (GObject * obj) {
	NetworkWifiMenuItem * self;
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NETWORK_TYPE_WIFI_MENU_ITEM, NetworkWifiMenuItem);
#line 19 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	__g_list_free__g_object_unref0_0 (self->priv->_ap);
#line 48 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->_tmp_ap);
#line 50 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->radio_button);
#line 51 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->img_strength);
#line 52 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->lock_img);
#line 53 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->error_img);
#line 54 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->spinner);
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	G_OBJECT_CLASS (network_wifi_menu_item_parent_class)->finalize (obj);
#line 1200 "WifiMenuItem.c"
}


GType network_wifi_menu_item_get_type (void) {
	static volatile gsize network_wifi_menu_item_type_id__volatile = 0;
	if (g_once_init_enter (&network_wifi_menu_item_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NetworkWifiMenuItemClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) network_wifi_menu_item_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NetworkWifiMenuItem), 0, (GInstanceInitFunc) network_wifi_menu_item_instance_init, NULL };
		GType network_wifi_menu_item_type_id;
		network_wifi_menu_item_type_id = g_type_register_static (gtk_list_box_row_get_type (), "NetworkWifiMenuItem", &g_define_type_info, 0);
		g_once_init_leave (&network_wifi_menu_item_type_id__volatile, network_wifi_menu_item_type_id);
	}
	return network_wifi_menu_item_type_id__volatile;
}


static void _vala_network_wifi_menu_item_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	NetworkWifiMenuItem * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NETWORK_TYPE_WIFI_MENU_ITEM, NetworkWifiMenuItem);
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	switch (property_id) {
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		case NETWORK_WIFI_MENU_ITEM_SSID:
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		g_value_set_boxed (value, network_wifi_menu_item_get_ssid (self));
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		break;
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		case NETWORK_WIFI_MENU_ITEM_STATE:
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		g_value_set_enum (value, network_wifi_menu_item_get_state (self));
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		break;
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		case NETWORK_WIFI_MENU_ITEM_STRENGTH:
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		g_value_set_uchar (value, network_wifi_menu_item_get_strength (self));
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		break;
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		case NETWORK_WIFI_MENU_ITEM_IS_SECURED:
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		g_value_set_boolean (value, network_wifi_menu_item_get_is_secured (self));
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		break;
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		case NETWORK_WIFI_MENU_ITEM_AP:
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		g_value_set_object (value, network_wifi_menu_item_get_ap (self));
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		break;
#line 1251 "WifiMenuItem.c"
		default:
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		break;
#line 1257 "WifiMenuItem.c"
	}
}


static void _vala_network_wifi_menu_item_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	NetworkWifiMenuItem * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NETWORK_TYPE_WIFI_MENU_ITEM, NetworkWifiMenuItem);
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
	switch (property_id) {
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		case NETWORK_WIFI_MENU_ITEM_STATE:
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		network_wifi_menu_item_set_state (self, g_value_get_enum (value));
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		break;
#line 1273 "WifiMenuItem.c"
		default:
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 18 "/builddir/build/BUILD/switchboard-plug-networking-0.1.1/src/common/Widgets/WifiMenuItem.vala"
		break;
#line 1279 "WifiMenuItem.c"
	}
}



